//
// fichier des jeux d'options de mise en oeuvre des chantiers
//
//===========================================================================
//======================================================================
//TRACE PARSING;
+ I decisionOptionSet dec_optionSet12 //pour sim 1 et 2

    optAutumnTillageOP = MID_OCT;
    optAutumnTillageCP = DECEMBRE;
    
    optFertilizationSeason = 1; 
    optFertilizationOP = MID_OCT;

    optPrePruningModality = ALL;
    optPruningMinBegDate = 31/10;
    optPruningOP = MID_NOV; 

    optDebranchingModality = WHOLE_CHEM; 
    
    optShootThinningsOP = SURF_PRUNED_12;
    
    optInitSpringTillageOP = WINTER_RAIN_BASED;
    
    optChemicalWeedingOP = END_PRUN_THIN;
        
    optFirstSpringTillageOP = INIT_SPRING_TILLAGE; 
    optSpringTillagesOP = LOW_RAIN_INTENSITY_OR_LONG_DRY_PERIOD;
    optSpringTillagesOPScope = PLOT_GROUP_SCOPE;
    optSpringTillagesIterationCP = EARLY_JUL;
    
    optSpringChemicalWeedingOP = NONE;

    optSprayerTypeRegular = AIR_ASSISTED;  
    optSprayPathRegular = 1:2;
    optSprayerTypeAtBeginning = VERTICAL;
    optSprayPathAtBeginning = 1:2;
    optSprayNumberAtBeginning = 2; 
    optSprayPathSinceFlowering = 1:2;

    optRegularPhytoTreatmentsOP = 5;              
    optExtraPhytoTreatmentsOP = 1;               

    guidingLateVarietyAttribute = "carignan";  
    guidingEarlyVarietyAttribute = "chardonnay"; 

    optPowderyMildewManagement = E2;
    optDownyMildewManagement = R0;
    optPhytoTreatmentCadence = 14; 
   
    optPhytoTreatmentRainAnticipation = BEFORE;  

    optPastDownyMildewPressureThreshold = 0.5; 
    optActualDownyMildewRiskThreshold = 0.;    

    optPowderyMildewClosing = 0; 
    optDownyMildewAtLeastClosing = 2; 
    optDownyMildewUnderPressureClosing = 3; 
;

//======================================================================
//TRACE PARSING;
+ I decisionOptionSet dec_optionSet13 // Idem optionSet12 sauf pamprage (pour sim3)

    optAutumnTillageOP = MID_OCT;
    optAutumnTillageCP = DECEMBRE;
    
    optFertilizationSeason = 1; 
    optFertilizationOP = MID_OCT;

    optPrePruningModality = ALL;
    optPruningMinBegDate = 31/10;
    optPruningOP = MID_NOV; 

    optDebranchingModality = WHOLE_MECA; 
    
    optShootThinningsOP = SURF_PRUNED_12;
    
    optInitSpringTillageOP = WINTER_RAIN_BASED;
    
    optChemicalWeedingOP = END_PRUN_THIN;
    
    optFirstSpringTillageOP = INIT_SPRING_TILLAGE; 
    optSpringTillagesOP = LOW_RAIN_INTENSITY_OR_LONG_DRY_PERIOD;
    optSpringTillagesOPScope = PLOT_GROUP_SCOPE;
    optSpringTillagesIterationCP = EARLY_JUL;
    
    optSpringChemicalWeedingOP = NONE;

    optSprayerTypeRegular = AIR_ASSISTED;  
    optSprayPathRegular = 1:2;
    optSprayerTypeAtBeginning = VERTICAL;
    optSprayPathAtBeginning = 1:2;
    optSprayNumberAtBeginning = 2; 
    optSprayPathSinceFlowering = 1:2;

    optRegularPhytoTreatmentsOP = 5;     
    optExtraPhytoTreatmentsOP = 1;  

    guidingLateVarietyAttribute = "carignan";  
    guidingEarlyVarietyAttribute = "chardonnay"; 

    optPowderyMildewManagement = E2;
    optDownyMildewManagement = R0;
    optPhytoTreatmentCadence = 14; 
    optPhytoTreatmentRainAnticipation = BEFORE;  

    optPastDownyMildewPressureThreshold = 0.5; 
    optActualDownyMildewRiskThreshold = 0.;    

    optPowderyMildewClosing = 0; 
    optDownyMildewAtLeastClosing = 2; 
    optDownyMildewUnderPressureClosing = 3; 
;

//TRACE NO_PARSING;
//===========================================================================
// note 1 :
//   les cpages-guides sont utilises pour l'ouverture des
//   chantiers de protection phytosanitaire
// . ils doivent faire partie des cpages dont le dveloppement phnologique
//   est inform dans le fichier PHENO
// . les 2 varits-guides (Late et Early) doivent tre reprsente
//   dans l'EA dans la mesure du possible
// . et figurer dans la 'premire vague' des varits  traiter, spcifie
//   par le VarietyGroupSet attach au PhytoTreatmentComposedProgram
// 
// . les rgles de dmarrage des traitements accdent  la (ou les) IsoAgeing-
//   Entity sur la (ou les) varit-guide dfinie dans ce decisionOptionSet
// . parce que les IsoAgeingEntity sont seules porteuses des changements
//   de stade pour le couple {varit-guide station mto}
// . c'est la fonction App_AssignIsoAgeingEntityToPlots qui cre les IsoAgeing-
//   Entity de l'EA, en croisant les 2 varits-guides avec les stations mto
//
//===========================================================================

END INCLUDE;
