//
// fichier des diffrentes partitions du parcellaire en groupes d'iso-gestion
//
//Remarque importante : le moteur interprte l'ensemble des DVS (DescValueSpec de bdiese) comme une conjonction : DVS1 ET ... ET DVSn.
//==> . une spc. cond1 OU cond2 doit donc tre traduite en NON(NON(cond1) ET NON(cond2)
//  . les NON(condn) s'crivent par une DVS avec un oprateur NOT_IN
//  . le NON "global" se traduit par la valeur NOT_IN du descripteur 'plotProfileOperator' du groupe.
//==> ta spc du groupe G4 "<= 180 cm" OU "Localisation = Loc 4" s'crit donc :
// NON(         NON("<= 180 cm")        ET NON("Localisation = Loc 4")), c'est--dire :
// NOT_IN(  alleyWidth IN([180 infini]  ET       village NOT_IN{Loc 4}
//
//TRACE PARSING;
//===========================================================================
// un soilManagementGroupSet possde  :
//- une srie de soilManagementGroup
//----------------------------------------

+ I soilManagementGroupSet smGroupSetD
    + E soilManagementGroup smGroupD1
          
        rowManagement = TILLAGE;
        plotPattern = <I><, plotPattern_2_1>;
    ;
    + E soilManagementGroup smGroupD2 
    
        plotPattern = <I><, plotPattern_1_1>;
        rowManagement = TOTAL_CW;
    ;
;

//----------------------------------------


END INCLUDE;
