//
// fichier des ....
//
//===========================================================================

+ I grapeVariety alicanteBouschet  isEarly = 1;;

+ I grapeVariety syrah             isEarly = 0; shootIntensity = 1;;
+ I grapeVariety marsanne          isEarly = 1; shootIntensity = 0;;
+ I grapeVariety carignan          isEarly = 0; shootIntensity = 1;;
+ I grapeVariety chardonnay        isEarly = 1; shootIntensity = 0;;
+ I grapeVariety muscatPetitGrain  isEarly = 1; shootIntensity = 0;;
+ I grapeVariety viognier          isEarly = 1; shootIntensity = 0;;
+ I grapeVariety pinotNoir         isEarly = 1; shootIntensity = 0;;
+ I grapeVariety merlot            isEarly = 1; shootIntensity = 2;;
+ I grapeVariety nielluccio        isEarly = 1; shootIntensity = 0;;
+ I grapeVariety aramon            isEarly = 1; shootIntensity = 0;;
+ I grapeVariety colombard         isEarly = 1; shootIntensity = 0;;
+ I grapeVariety chasan            isEarly = 1; shootIntensity = 0;;
+ I grapeVariety cot               isEarly = 1; shootIntensity = 0;;
+ I grapeVariety grenacheBlanc     isEarly = 1; shootIntensity = 0;;
+ I grapeVariety petitVerdot       isEarly = 1; shootIntensity = 0;;
+ I grapeVariety tannat            isEarly = 1; shootIntensity = 0;;
+ I grapeVariety bourboulenc       isEarly = 1; shootIntensity = 0;;
+ I grapeVariety cabernetFranc     isEarly = 0; shootIntensity = 1;;
+ I grapeVariety cabernetSauvignon isEarly = 0; shootIntensity = 1;;
+ I grapeVariety mourvedre         isEarly = 0; shootIntensity = 0;;
+ I grapeVariety ugniBlanc         isEarly = 0; shootIntensity = 0;;
+ I grapeVariety caladoc           isEarly = 0; shootIntensity = 0;;
+ I grapeVariety piquepoul         isEarly = 0; shootIntensity = 0;;
+ I grapeVariety grenache          isEarly = 0; shootIntensity = 1;;
+ I grapeVariety sauvignon         isEarly = 0; shootIntensity = 2;;
+ I grapeVariety terretBlanc       isEarly = 0; shootIntensity = 0;;
+ I grapeVariety vermentino        isEarly = 0; shootIntensity = 0;;
+ I grapeVariety roussanne         isEarly = 0; shootIntensity = 0;;
+ I grapeVariety carmenere         isEarly = 0; shootIntensity = 0;;
+ I grapeVariety cinsaut           isEarly = 0; shootIntensity = 2;;
+ I grapeVariety tempranillo       isEarly = 0; shootIntensity = 0;;

//===========================================================================
// un varGroupSet possde  :
//- explicitement, une srie de varGroup
//- implicitement un dernier varGroup ...
//    . ssi l'EA contient une varit qui n'est pas dans les varGroup explicites
//    . contenant (implicitement) toutes les varits qui ne sont pas dans les varGroup explicites
//----------------------------------------
+ I varietyGroupSet varGroupSetE1
    + E varietyGroup,
        <- E <I><, carignan>;
        <- E <I><, syrah>;                     // pour test
    ;
    + E varietyGroup,
        <- E <I><, chardonnay>;
        <- E <I><, muscatPetitGrain>;
        <- E <I><, viognier>;
        <- E <I><, sauvignon>;
        <- E <I><, roussanne>;
        <- E <I><, marsanne>;
    ;
;
//----------------------------------------
+ I varietyGroupSet varGroupSetE2
    + E varietyGroup,
        <- E <I><, carignan>;
        <- E <I><, chardonnay>;
        <- E <I><, muscatPetitGrain>;
        <- E <I><, viognier>;
        <- E <I><, sauvignon>;
        <- E <I><, roussanne>;
        <- E <I><, marsanne>;
    ;
    + E varietyGroup,
        <- E <I><, syrah>;
    ;
;
//----------------------------------------
+ I varietyGroupSet varGroupSetG
  // tous les cepages dans un seul groupe
;
//----------------------------------------
+ I varietyGroupSet varGroupSetE3
    + E varietyGroup,
        <- E <I><, carignan>;
        <- E <I><, chardonnay>;
        <- E <I><, muscatPetitGrain>;
        <- E <I><, viognier>;
        <- E <I><, sauvignon>;
        <- E <I><, roussanne>;
        <- E <I><, marsanne>;
    ;
    + E varietyGroup,
        <- E <I><, carignan>;
        <- E <I><, chardonnay>;
        <- E <I><, muscatPetitGrain>;
        <- E <I><, viognier>;
        <- E <I><, sauvignon>;
        <- E <I><, roussanne>;
        <- E <I><, marsanne>;
        <- E <I><, cabernetFranc>;
        <- E <I><, cabernetSauvignon>;
        <- E <I><, mourvedre>;
        <- E <I><, ugniBlanc>;
        membershipMode = NOT_IN;
    ;
;
//----------------------------------------
+ I varietyGroupSet varGroupSetSG1
    + E varietyGroup,
        <- E <I><, carignan>;
        <- E <I><, chardonnay>;
        <- E <I><, muscatPetitGrain>;
        <- E <I><, viognier>;
        <- E <I><, sauvignon>;
        <- E <I><, roussanne>;
        <- E <I><, marsanne>;
    ;
;
//----------------------------------------
+ I varietyGroupSet varGroupSetSG4
    + E varietyGroup,
        <- E <I><, cabernetFranc>;
        <- E <I><, cabernetSauvignon>;
        <- E <I><, mourvedre>;
        <- E <I><, ugniBlanc>;
        membershipMode = NOT_IN;
    ;
;
//----------------------------------------


END INCLUDE;
